/*
 * HostId.java
 *
 * Created on 11 de Novembro de 2001, 19:21
 */

package br.shmem;
import java.net.URL;
import java.security.PublicKey;

/** Encapsulates all the information needed to communicate with a host.
 *
 * @author crolmos & tminc
 */
public class HostId implements java.io.Serializable {

    private URL url;
    private PublicKey key;
    
    /** Creates new HostId */
    protected HostId() {
    }
    
    /** constructs a new instance of a <CODE>HostId</CODE> object.
     * @param url the URL of the host.
     * @param key the public key for this host.
     */    
    public HostId(URL url, PublicKey key) {
        this.url = url;
        this.key = key;
    }
    
    /** accessor for the URL of the host.
     * @return the URL.
     */    
    public URL getURL() { return url; }
    
    /** accessor for the public key of the host.
     * @return the public key.
     */    
    public PublicKey getKey() { return key; }
    
    public String toString() { return url.toString(); }

}
