/*
 * InvocationException.java
 *
 * Created on 11 de Novembro de 2001, 22:59
 */

package br.shmem;

/**
 * An <code>InvocationException</code> occurs when a {@link br.shmem.SharedReference SharedReference} instance tries to call a method and fails.
 * The following exceptions can occur inside an <code>InvocationException</code>:
 *<ul>
 *<li>{@link java.lang.reflect.NoSuchMethodException java.lang.reflect.NoSuchMethodException}</li>
 *<li>{@link java.lang.reflect.IllegalAccessException java.lang.reflect.IllegalAccessException}</li>
 *<li>{@link java.lang.reflect.IllegalArgumentException java.lang.reflect.IllegalArgumentException}</li>
 *<li>{@link java.lang.reflect.NoSuchMethodException java.lang.reflect.NoSuchMethodException}</li>
 *</ul>
 * @author  crolmos & tminc
 * @version 1.0
 */
public class InvocationException extends java.lang.Exception {

    Throwable inner;

    /**
     * Creates new <code>InvocationException</code> without detail message.
     */
    private InvocationException() {
    }


    /**
     * Constructs an <code>InvocationException</code> wraping around the given exception
     * @param exception the exception inside this InvocationException
     */
    public InvocationException(Throwable exception) {
        super("InvocationException:\n");
	inner = exception;
    }

    /**
     * Returns the exception contained in this instance.
     */
    public Throwable getInner() {
	return inner;
    }
}


