/*
 * ObjectInfo.java
 *
 * Created on 2 de Dezembro de 2001, 01:59
 */

package br.shmem.server;

import java.net.URL;
import br.shmem.*;

/**
 *
 * @author  crolmos & tminc
 */
public class ObjectInfo {
    
    private URL owner;
    private URL writer = null;
    private TimeStamp stamp = null;    
    private boolean lockable;    
    private String globalName;

    /** Creates new ObjectInfo */
    protected ObjectInfo() {
    }

    public ObjectInfo(String globalName, SharedEntry entry) {
        this.globalName = globalName;
        this.owner = entry.getOwner();
        this.writer = entry.getWriter();
        this.stamp = entry.getTimeStamp();
        this.lockable = entry.isLockable();
    }
 
    public String getGlobalName() {
        return globalName;
    }
    
    public URL getOwner() {
        return owner;
    }
    
    public URL getWriter() {
        return writer;
    }
    
    public TimeStamp getTimeStamp() {
        return stamp;
    }
    
    public boolean isLockable() {
        return lockable;
    }
    
    public boolean isLocked() {
        return (writer==null);
    }
}
